Query parameters
-
Filter by a comma separated list of UUIDs.
-
Exact filter for type of report to return
-
list of adviser uuids to filter reports created by these accounts
-
Field to sort by. Valid fields are [updated_at, created_at, name, report_type_id]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/report
curl \
--request GET 'https://api.plannrcrm.com/api/v1/report' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "de8f08e8-e850-4186-a561-0897b86d3933",
"created_at": "2026-11-16T13:00:52+00:00",
"updated_at": "2026-11-16T13:00:52+00:00",
"last_interaction_at": "2024-01-24T10:30:00Z",
"last_login_at": "2024-01-24T09:15:00Z",
"name": "rmar-report-2026-11-16T13:00:52+00:00",
"created_by": {
"uuid": "d0ad5166-c930-4882-b422-466f00b4810e",
"created_at": "2026-11-16T13:00:52+00:00",
"updated_at": "2026-11-16T13:00:52+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "d88491ae-1d0c-4a23-9f4b-0da36ff23bf1",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "78999aee-ecea-4374-9480-a400de74dacb",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "78999aee-ecea-4374-9480-a400de74dacb",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "ec65f17d-80ba-428d-b087-121dd03f8b82",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-11-16T12:10:59+00:00",
"end_date": "2026-11-16T12:38:59+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "82bb5192-625e-4aff-bec6-0f88e971d78d",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-16T13:00:59+00:00",
"next_review_date": "2026-11-16T13:00:59+00:00",
"previous_review_date": "2026-11-16T13:00:59+00:00",
"anniversary_review_date": "2026-11-16T13:00:59+00:00",
"terms_of_business_at": "2026-11-16T13:00:59+00:00",
"client_agreement_at": "2026-11-16T13:00:59+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-16",
"last_interaction_at": "2026-11-16 13:00:59",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-16T13:00:59+00:00",
"out_of_office_until": "2026-11-16T13:00:59+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "82bb5192-625e-4aff-bec6-0f88e971d78d",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-16T13:00:59+00:00",
"next_review_date": "2026-11-16T13:00:59+00:00",
"previous_review_date": "2026-11-16T13:00:59+00:00",
"anniversary_review_date": "2026-11-16T13:00:59+00:00",
"terms_of_business_at": "2026-11-16T13:00:59+00:00",
"client_agreement_at": "2026-11-16T13:00:59+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-16",
"last_interaction_at": "2026-11-16 13:00:59",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-16T13:00:59+00:00",
"out_of_office_until": "2026-11-16T13:00:59+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "82bb5192-625e-4aff-bec6-0f88e971d78d",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-16T13:00:59+00:00",
"next_review_date": "2026-11-16T13:00:59+00:00",
"previous_review_date": "2026-11-16T13:00:59+00:00",
"anniversary_review_date": "2026-11-16T13:00:59+00:00",
"terms_of_business_at": "2026-11-16T13:00:59+00:00",
"client_agreement_at": "2026-11-16T13:00:59+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-16",
"last_interaction_at": "2026-11-16 13:00:59",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-16T13:00:59+00:00",
"out_of_office_until": "2026-11-16T13:00:59+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "82bb5192-625e-4aff-bec6-0f88e971d78d",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-16T13:00:59+00:00",
"next_review_date": "2026-11-16T13:00:59+00:00",
"previous_review_date": "2026-11-16T13:00:59+00:00",
"anniversary_review_date": "2026-11-16T13:00:59+00:00",
"terms_of_business_at": "2026-11-16T13:00:59+00:00",
"client_agreement_at": "2026-11-16T13:00:59+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-16",
"last_interaction_at": "2026-11-16 13:00:59",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-16T13:00:59+00:00",
"out_of_office_until": "2026-11-16T13:00:59+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "e509f5a1-dda2-4e4f-9f73-f446968e8631",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00"
},
"tags": {
"uuid": "3ffb5618-ef0f-427f-a354-30972f34c346",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "82bb5192-625e-4aff-bec6-0f88e971d78d",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-16T13:00:59+00:00",
"next_review_date": "2026-11-16T13:00:59+00:00",
"previous_review_date": "2026-11-16T13:00:59+00:00",
"anniversary_review_date": "2026-11-16T13:00:59+00:00",
"terms_of_business_at": "2026-11-16T13:00:59+00:00",
"client_agreement_at": "2026-11-16T13:00:59+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-16",
"last_interaction_at": "2026-11-16 13:00:59",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-16T13:00:59+00:00",
"out_of_office_until": "2026-11-16T13:00:59+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-11-16T13:00:52+00:00",
"next_review_date": "2026-11-16T13:00:52+00:00",
"previous_review_date": "2026-11-16T13:00:52+00:00",
"anniversary_review_date": "2026-11-16T13:00:52+00:00",
"terms_of_business_at": "2026-11-16T13:00:52+00:00",
"client_agreement_at": "2026-11-16T13:00:52+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "78cf1cd5-55f4-4770-b5bc-e7027131f06e",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-16T13:00:59+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "407a670a-d2bd-4cd9-b060-1095955a447a",
"login_access_level": "write",
"current_life_stage_uuid": "7eb140c1-8fb6-4a5a-b406-b40d7cad35f7"
},
"circles": {
"uuid": "78cf1cd5-55f4-4770-b5bc-e7027131f06e",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-16T13:00:59+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "407a670a-d2bd-4cd9-b060-1095955a447a",
"login_access_level": "write",
"current_life_stage_uuid": "7eb140c1-8fb6-4a5a-b406-b40d7cad35f7"
},
"ownership_percentage": 100,
"inactive_at": "2026-11-16",
"last_interaction_at": "2026-11-16 13:00:52",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-16T13:00:52+00:00",
"out_of_office_until": "2026-11-16T13:00:52+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "fb93c010-5bd2-459e-8b53-346eb4c7a90c",
"name": "Gold",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "da4de829-57ae-478a-bf37-1414f7626c4f",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"report_type_id": "rmar",
"status": "complete",
"progress": 100,
"files": [
{
"uuid": "4d358800-fedc-4d05-b824-f79510666714",
"created_at": "2026-11-16T13:00:52+00:00",
"original_created_at": "2026-11-16T13:00:52+00:00",
"updated_at": "2026-11-16T13:00:52+00:00",
"uploaded_at": "2026-11-16T13:00:52+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-16T13:00:52+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/7148645e-e11f-451c-a7f5-c99eba256790/download",
"preview_url": "https://api.plannrcrm.com/file/c97cfcdd-1a9f-40cf-a63d-0685d6b8b80f/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "7e91fd70-c46d-4f72-a639-175f4ec36051"
},
"firm": {
"uuid": "d88491ae-1d0c-4a23-9f4b-0da36ff23bf1",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "4ab5db90-bb67-4ae5-af2f-d459b6996c59",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "3ffb5618-ef0f-427f-a354-30972f34c346",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
}
],
"folder": {
"uuid": "f6999216-0218-4a35-adcf-9077199308b4",
"created_at": "2026-11-16T13:00:52+00:00",
"updated_at": "2026-11-16T13:00:52+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e27764d9-f41b-4ce9-889e-802cad628341",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "764f08b0-0b32-4359-813b-6d522c25795c",
"created_at": "2026-11-16T13:00:59+00:00",
"original_created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"uploaded_at": "2026-11-16T13:00:59+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-16T13:00:59+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/858ad303-b686-410d-a25d-43a4224a98dc/download",
"preview_url": "https://api.plannrcrm.com/file/0cfe4197-417a-45d8-a624-e7de8c9c7ad7/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "8123e6c2-57b7-4c47-abb2-1ef9f7686d74",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
},
"can_delete": true
}
]
}